<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:32 CEST 2019 -->
<title>FirebirdConnection (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FirebirdConnection (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":38,"i7":6,"i8":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FirebirdCallableStatement.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FirebirdConnection.html" target="_top">Frames</a></li>
<li><a href="FirebirdConnection.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jdbc</div>
<h2 title="Interface FirebirdConnection" class="title">Interface FirebirdConnection</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true" title="class or interface in java.sql">Wrapper</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../org/firebirdsql/jdbc/FBConnection.html" title="class in org.firebirdsql.jdbc">FBConnection</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">FirebirdConnection</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a></pre>
<div class="block">Extension of <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a> interface providing access to Firebird
 specific features.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:rrokytskyy@users.sourceforge.net">Roman Rokytskyy</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html#TPB_CONCURRENCY">TPB_CONCURRENCY</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html#TPB_CONSISTENCY">TPB_CONSISTENCY</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html#TPB_NO_REC_VERSION">TPB_NO_REC_VERSION</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html#TPB_NOWAIT">TPB_NOWAIT</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html#TPB_READ">TPB_READ</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html#TPB_READ_COMMITTED">TPB_READ_COMMITTED</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html#TPB_REC_VERSION">TPB_REC_VERSION</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html#TPB_WAIT">TPB_WAIT</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html#TPB_WRITE">TPB_WRITE</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.sql.Connection">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#TRANSACTION_NONE" title="class or interface in java.sql">TRANSACTION_NONE</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#TRANSACTION_READ_COMMITTED" title="class or interface in java.sql">TRANSACTION_READ_COMMITTED</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#TRANSACTION_READ_UNCOMMITTED" title="class or interface in java.sql">TRANSACTION_READ_UNCOMMITTED</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#TRANSACTION_REPEATABLE_READ" title="class or interface in java.sql">TRANSACTION_REPEATABLE_READ</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#TRANSACTION_SERIALIZABLE" title="class or interface in java.sql">TRANSACTION_SERIALIZABLE</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a href="javascript:show(32);">Deprecated Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true" title="class or interface in java.sql">Blob</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html#createBlob--">createBlob</a></span>()</code></td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html#createTransactionParameterBuffer--">createTransactionParameterBuffer</a></span>()</code>
<div class="block">Create new instance of <a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>TransactionParameterBuffer</code></a>.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html#getFbDatabase--">getFbDatabase</a></span>()</code>
<div class="block">Provides access to the low-level connection handle.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html#getIscEncoding--">getIscEncoding</a></span>()</code>
<div class="block">Get current ISC encoding.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html#getTransactionParameters-int-">getTransactionParameters</a></span>(int&nbsp;isolationLevel)</code>
<div class="block">Get transaction parameters for the specified transaction isolation level.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html#isUseFirebirdAutoCommit--">isUseFirebirdAutoCommit</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html#setTransactionParameters-int-int:A-">setTransactionParameters</a></span>(int&nbsp;isolationLevel,
                        int[]&nbsp;parameters)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">use <a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html#setTransactionParameters-int-org.firebirdsql.gds.TransactionParameterBuffer-"><code>setTransactionParameters(int, TransactionParameterBuffer)</code></a>
 instead.</span></div>
</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html#setTransactionParameters-int-org.firebirdsql.gds.TransactionParameterBuffer-">setTransactionParameters</a></span>(int&nbsp;isolationLevel,
                        <a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a>&nbsp;tpb)</code>
<div class="block">Set transaction parameters for the specified transaction isolation level.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html#setTransactionParameters-org.firebirdsql.gds.TransactionParameterBuffer-">setTransactionParameters</a></span>(<a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a>&nbsp;tpb)</code>
<div class="block">Set transaction parameters for the next transactions.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.sql.Connection">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#abort-java.util.concurrent.Executor-" title="class or interface in java.sql">abort</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#clearWarnings--" title="class or interface in java.sql">clearWarnings</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#close--" title="class or interface in java.sql">close</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#commit--" title="class or interface in java.sql">commit</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#createArrayOf-java.lang.String-java.lang.Object:A-" title="class or interface in java.sql">createArrayOf</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#createClob--" title="class or interface in java.sql">createClob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#createNClob--" title="class or interface in java.sql">createNClob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#createSQLXML--" title="class or interface in java.sql">createSQLXML</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#createStatement--" title="class or interface in java.sql">createStatement</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#createStatement-int-int-" title="class or interface in java.sql">createStatement</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#createStatement-int-int-int-" title="class or interface in java.sql">createStatement</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#createStruct-java.lang.String-java.lang.Object:A-" title="class or interface in java.sql">createStruct</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#getAutoCommit--" title="class or interface in java.sql">getAutoCommit</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#getCatalog--" title="class or interface in java.sql">getCatalog</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#getClientInfo--" title="class or interface in java.sql">getClientInfo</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#getClientInfo-java.lang.String-" title="class or interface in java.sql">getClientInfo</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#getHoldability--" title="class or interface in java.sql">getHoldability</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#getMetaData--" title="class or interface in java.sql">getMetaData</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#getNetworkTimeout--" title="class or interface in java.sql">getNetworkTimeout</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#getSchema--" title="class or interface in java.sql">getSchema</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#getTransactionIsolation--" title="class or interface in java.sql">getTransactionIsolation</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#getTypeMap--" title="class or interface in java.sql">getTypeMap</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#getWarnings--" title="class or interface in java.sql">getWarnings</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#isClosed--" title="class or interface in java.sql">isClosed</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#isReadOnly--" title="class or interface in java.sql">isReadOnly</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#isValid-int-" title="class or interface in java.sql">isValid</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#nativeSQL-java.lang.String-" title="class or interface in java.sql">nativeSQL</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#prepareCall-java.lang.String-" title="class or interface in java.sql">prepareCall</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#prepareCall-java.lang.String-int-int-" title="class or interface in java.sql">prepareCall</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#prepareCall-java.lang.String-int-int-int-" title="class or interface in java.sql">prepareCall</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#prepareStatement-java.lang.String-" title="class or interface in java.sql">prepareStatement</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#prepareStatement-java.lang.String-int-" title="class or interface in java.sql">prepareStatement</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#prepareStatement-java.lang.String-int:A-" title="class or interface in java.sql">prepareStatement</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#prepareStatement-java.lang.String-int-int-" title="class or interface in java.sql">prepareStatement</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#prepareStatement-java.lang.String-int-int-int-" title="class or interface in java.sql">prepareStatement</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#prepareStatement-java.lang.String-java.lang.String:A-" title="class or interface in java.sql">prepareStatement</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#releaseSavepoint-java.sql.Savepoint-" title="class or interface in java.sql">releaseSavepoint</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#rollback--" title="class or interface in java.sql">rollback</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#rollback-java.sql.Savepoint-" title="class or interface in java.sql">rollback</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#setAutoCommit-boolean-" title="class or interface in java.sql">setAutoCommit</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#setCatalog-java.lang.String-" title="class or interface in java.sql">setCatalog</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#setClientInfo-java.util.Properties-" title="class or interface in java.sql">setClientInfo</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#setClientInfo-java.lang.String-java.lang.String-" title="class or interface in java.sql">setClientInfo</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#setHoldability-int-" title="class or interface in java.sql">setHoldability</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#setNetworkTimeout-java.util.concurrent.Executor-int-" title="class or interface in java.sql">setNetworkTimeout</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#setReadOnly-boolean-" title="class or interface in java.sql">setReadOnly</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#setSavepoint--" title="class or interface in java.sql">setSavepoint</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#setSavepoint-java.lang.String-" title="class or interface in java.sql">setSavepoint</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#setSchema-java.lang.String-" title="class or interface in java.sql">setSchema</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#setTransactionIsolation-int-" title="class or interface in java.sql">setTransactionIsolation</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#setTypeMap-java.util.Map-" title="class or interface in java.sql">setTypeMap</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.sql.Wrapper">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true" title="class or interface in java.sql">Wrapper</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true#isWrapperFor-java.lang.Class-" title="class or interface in java.sql">isWrapperFor</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true#unwrap-java.lang.Class-" title="class or interface in java.sql">unwrap</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="TPB_READ_COMMITTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TPB_READ_COMMITTED</h4>
<pre>static final&nbsp;int TPB_READ_COMMITTED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FirebirdConnection.TPB_READ_COMMITTED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TPB_CONCURRENCY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TPB_CONCURRENCY</h4>
<pre>static final&nbsp;int TPB_CONCURRENCY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FirebirdConnection.TPB_CONCURRENCY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TPB_CONSISTENCY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TPB_CONSISTENCY</h4>
<pre>static final&nbsp;int TPB_CONSISTENCY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FirebirdConnection.TPB_CONSISTENCY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TPB_READ">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TPB_READ</h4>
<pre>static final&nbsp;int TPB_READ</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FirebirdConnection.TPB_READ">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TPB_WRITE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TPB_WRITE</h4>
<pre>static final&nbsp;int TPB_WRITE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FirebirdConnection.TPB_WRITE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TPB_WAIT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TPB_WAIT</h4>
<pre>static final&nbsp;int TPB_WAIT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FirebirdConnection.TPB_WAIT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TPB_NOWAIT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TPB_NOWAIT</h4>
<pre>static final&nbsp;int TPB_NOWAIT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FirebirdConnection.TPB_NOWAIT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TPB_REC_VERSION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TPB_REC_VERSION</h4>
<pre>static final&nbsp;int TPB_REC_VERSION</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FirebirdConnection.TPB_REC_VERSION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TPB_NO_REC_VERSION">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TPB_NO_REC_VERSION</h4>
<pre>static final&nbsp;int TPB_NO_REC_VERSION</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FirebirdConnection.TPB_NO_REC_VERSION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createBlob--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createBlob</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true" title="class or interface in java.sql">Blob</a>&nbsp;createBlob()
         throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#createBlob--" title="class or interface in java.sql">createBlob</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>instance of <a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html" title="interface in org.firebirdsql.jdbc"><code>FirebirdBlob</code></a>.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getIscEncoding--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIscEncoding</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getIscEncoding()
               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Get current ISC encoding.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>current ISC encoding.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="setTransactionParameters-int-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTransactionParameters</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
void&nbsp;setTransactionParameters(int&nbsp;isolationLevel,
                                           int[]&nbsp;parameters)
                                    throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">use <a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html#setTransactionParameters-int-org.firebirdsql.gds.TransactionParameterBuffer-"><code>setTransactionParameters(int, TransactionParameterBuffer)</code></a>
 instead.</span></div>
<div class="block">Set transaction parameters for the specified isolation level. They will 
 take effect only on the newly started transaction.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>isolationLevel</code> - JDBC isolation level.</dd>
<dd><code>parameters</code> - array of TPB parameters, see all TPB_* constants.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if specified transaction parameters cannot be set.</dd>
</dl>
</li>
</ul>
<a name="getTransactionParameters-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransactionParameters</h4>
<pre><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a>&nbsp;getTransactionParameters(int&nbsp;isolationLevel)
                                             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Get transaction parameters for the specified transaction isolation level.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>isolationLevel</code> - isolation level defined in the <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>
 interface.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>instance of <a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>TransactionParameterBuffer</code></a> containing current
 transaction parameters.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if error occured obtaining transaction parameters.</dd>
</dl>
</li>
</ul>
<a name="createTransactionParameterBuffer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTransactionParameterBuffer</h4>
<pre><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a>&nbsp;createTransactionParameterBuffer()
                                                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Create new instance of <a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>TransactionParameterBuffer</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>empty instance of <a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>TransactionParameterBuffer</code></a>.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if error occured during this operation.</dd>
</dl>
</li>
</ul>
<a name="setTransactionParameters-int-org.firebirdsql.gds.TransactionParameterBuffer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTransactionParameters</h4>
<pre>void&nbsp;setTransactionParameters(int&nbsp;isolationLevel,
                              <a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a>&nbsp;tpb)
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Set transaction parameters for the specified transaction isolation level.
 This method replaces the default TPB mapping with the specified one, 
 changes will be effective from the next transaction start.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>isolationLevel</code> - isolation level defined in the <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>
 interface.</dd>
<dd><code>tpb</code> - instance of <a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>TransactionParameterBuffer</code></a> with parameters
 to set.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if error occured during this operation.</dd>
</dl>
</li>
</ul>
<a name="setTransactionParameters-org.firebirdsql.gds.TransactionParameterBuffer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTransactionParameters</h4>
<pre>void&nbsp;setTransactionParameters(<a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a>&nbsp;tpb)
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Set transaction parameters for the next transactions. This method does
 not change the TPB mapping, but replaces the mapping for the current
 transaction isolation until <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#setTransactionIsolation-int-" title="class or interface in java.sql"><code>Connection.setTransactionIsolation(int)</code></a>
 is called.
 <p>
 Method cannot be called when transaction has already started.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tpb</code> - instance of <a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>TransactionParameterBuffer</code></a> with new
 transaction parameters.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if method is called within a transaction.</dd>
</dl>
</li>
</ul>
<a name="isUseFirebirdAutoCommit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isUseFirebirdAutoCommit</h4>
<pre>boolean&nbsp;isUseFirebirdAutoCommit()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if this connection is configured to use <code>isc_tpb_autocommit</code> when in auto commit.</dd>
</dl>
</li>
</ul>
<a name="getFbDatabase--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getFbDatabase</h4>
<pre><a href="../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a>&nbsp;getFbDatabase()
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Provides access to the low-level connection handle.
 <p>
 <b>WARNING</b> using this connection handle directly may bring the JDBC connection in an inconsistent state.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The low-level connection handle.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FirebirdCallableStatement.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FirebirdConnection.html" target="_top">Frames</a></li>
<li><a href="FirebirdConnection.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
